Bug 207064 - possible recursive locking detected 2.6.17-1.3001.fc5 (slock-AF_INET6)
possible recursive locking detected 2.6.17-1.3001.fc5 (slock-AF_INET6)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Peter Zijlstra
Brian Brock
:
Depends On:
Blocks: FCMETA_LOCKDEP
  Show dependency treegraph
 
Reported: 2006-09-18 21:59 EDT by Garry T. Williams
Modified: 2014-08-11 01:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 20:11:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Garry T. Williams 2006-09-18 21:59:19 EDT
Description of problem:
After boot and starting KDE and kmail, dmesg shows this:

[ INFO: possible recursive locking detected ]
2.6.17-1.3001.fc5 #1
---------------------------------------------
kio_pop3/2426 is trying to acquire lock:
 (slock-AF_INET6){-+..}, at: [<c05a0110>] sk_clone+0xb9/0x2c0

but task is already holding lock:
 (slock-AF_INET6){-+..}, at: [<f8bb896d>] tcp_v6_rcv+0x308/0x6c3 [ipv6]

other info that might help us debug this:
1 lock held by kio_pop3/2426:
 #0:  (slock-AF_INET6){-+..}, at: [<f8bb896d>] tcp_v6_rcv+0x308/0x6c3 [ipv6]

stack backtrace:
 [<c0403f8e>] show_trace_log_lvl+0x58/0x171
 [<c040456d>] show_trace+0xd/0x10
 [<c040460a>] dump_stack+0x19/0x1b
 [<c0431410>] __lock_acquire+0x75f/0x986
 [<c0431ba8>] lock_acquire+0x4b/0x6b
 [<c05fb928>] _spin_lock+0x19/0x28
 [<c05a0110>] sk_clone+0xb9/0x2c0
 [<c05c6fcd>] inet_csk_clone+0xd/0x5e
 [<c05d75c8>] tcp_create_openreq_child+0x1b/0x391
 [<f8bb7691>] tcp_v6_syn_recv_sock+0x248/0x55c [ipv6]
 [<c05d7aee>] tcp_check_req+0x1b0/0x2b1
 [<f8bb69c6>] tcp_v6_do_rcv+0x142/0x334 [ipv6]
 [<f8bb8cd9>] tcp_v6_rcv+0x674/0x6c3 [ipv6]
 [<f8b9f991>] ip6_input+0x1bd/0x249 [ipv6]
 [<f8b9fe2a>] ipv6_rcv+0x19f/0x1cd [ipv6]
 [<c05a613b>] netif_receive_skb+0x202/0x25e
 [<c05a78fb>] process_backlog+0x80/0xdf
 [<c05a7abb>] net_rx_action+0x80/0x162
 [<c041fcf1>] __do_softirq+0x46/0x9c
 [<c040517c>] do_softirq+0x4d/0xb1
 [<c041fbc4>] local_bh_enable_ip+0x9b/0xc1
 [<c05fb8c6>] _spin_unlock_bh+0x25/0x28
 [<c059ef4f>] release_sock+0xb9/0xc1
 [<c05df513>] inet_stream_connect+0x205/0x20f
 [<c059df1e>] sys_connect+0x67/0x84
 [<c059e580>] sys_socketcall+0x8c/0x186
 [<c0402dbf>] syscall_call+0x7/0xb
DWARF2 unwinder stuck at syscall_call+0x7/0xb
Leftover inexact backtrace:


Version-Release number of selected component (if applicable):
2.6.17-1.3001.fc5


How reproducible:
100%

Steps to Reproduce:
1. boot
2. start kde
3. start kmail
  
Actual results:
backtrace above


Expected results:
nothing


Additional info:
I have multiple POP accounts defined in my kmail configuration.  These are all
automatically checked when kmail is started.
Comment 2 Dave Jones 2006-10-04 19:41:02 EDT
queued for inclusion in the next FC5 update kernel.
Comment 3 Dave Jones 2006-10-16 13:23:42 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Garry T. Williams 2006-10-16 19:58:19 EDT
After yum install 2.6.18-1.2200.fc5, dmesg trace is gone.
Comment 5 Dave Jones 2006-10-16 20:11:12 EDT
Partly because I disabled the lock validator :)
(It has pretty heavy runtime overhead).  But this did get fixed for real too.

Note You need to log in before you can comment on or make changes to this bug.